Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.0.1

Description

Hello,

I've encountered an issue with setting up email notifications in Redmine. Despite configuring the configuration.yml file, the email

function does not seem to activate. Below are the steps I've taken and the current status of my system.

Steps Performed:

Edited the config/configuration.yml file to set up the email delivery method using SMTP settings.

Performed a restart of the Redmine application. I attempted to use the command touch tmp/restart.txt, which resulted in a "No such

file or directory" error, indicating that I might have been in the wrong directory or the tmp directory was missing.

Restarted the Apache service using sudo systemctl restart apache2 to ensure that any changes in the configuration are applied.

Checked the status of the Apache server using sudo systemctl status apache2 and confirmed it is active and running without any

errors.

Attempted to restart the SSH service as a part of my troubleshooting process, which was successful.

Current Status:

Apache is active and running.

SSH service has been restarted without issues.

Email notifications in Redmine are still not functioning.

System Information:

Linux redmine 5.4.0-169-generic #187-Ubuntu SMP Thu Nov 23 14:52:28 UTC 2023 x86_64 x86_64 x86_64 GNU/Linux

Environment:

Redmine version                5.0.1.stable

Ruby version                   2.7.0-p0 (2019-12-25) [x86_64-linux-gnu]

Rails version                  6.1.6

Operating system:              Ubuntu 20.04.6 LTS

Static hostname:               redmine

Icon name:                     computer-vm

Chassis:                       vm

Machine ID:                    62a4f1a11542451a96214708ae37c181

Boot ID:                       2ca118a361774af8a38e312ef7d7ed3c

Virtualization:                vmware

Operating System:              Ubuntu 20.04.6 LTS

Kernel:                        Linux 5.4.0-169-generic

Architecture:                  x86-64

Environment                    production

Database adapter:              Mysql2

Mailer queue:                  ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

Redmine settings:

Redmine theme                  Default

Git                            2.25.1

Redmine plugins:               no plugin installed

I am seeking assistance to understand what might be causing the email function to remain inactive and what additional steps I can

take to resolve this issue.

Thank you for your support.
History

#1 - 2023-12-24 11:57 - Vugar Maharramov

- File clipboard-202312241457-mgrn4.png added

 clipboard-202312241457-mgrn4.png 

#2 - 2023-12-28 17:20 - Vugar Maharramov

???

#3 - 2023-12-28 17:24 - Vugar Maharramov

- File clipboard-202312282022-7tjbi.png added

How about this problem?

 clipboard-202312282022-7tjbi.png 

#4 - 2023-12-29 04:11 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

Vugar Maharramov wrote in #note-3:

How about this problem?

 clipboard-202312282022-7tjbi.png 

 This problem is related to your STMP server configured in configuration.yml which seems to have an invalid or self sign certificate. You should accept

that certificate, use another SMTP server or, not recommended, disable SSL check (openssl_verify_mode  => 'none').

Anyway, the problem is not from Redmine, you can use Forum to request help.

#5 - 2023-12-30 12:27 - Vugar Maharramov

- File clipboard-202312301504-z2dsk.png added

I'm sorry, but the following problem appeared. Everything is specified correctly in the configuration.yml file, the correct login and password were

created specifically for this in the Active Directory (checked). Shown in the UGFzc3dvcmQ6 bug is the Base 64 encrypted word "Password". The fact

is that in configuration.yml this parameter is indicated correctly as below (for confidentiality, some data has been changed). There are no screens

between the Redmine and Postfix (there are no restrictions here either) servers; they are on the same subnet.

1. specific configuration options for production environment

2. that overrides the default ones

production:

email_delivery:

delivery_method: :smtp

smtp_settings:

address: My IP

port: 587

domain: x.com

authentication: :login

user_name: redmine@x.com

password: NAdsfjghsdk

enable_starttls_auto: true

I even wrote these parameters in the configuration.yml file

to view the logs it showed that there were no problems

openssl_verify_mode: none

logger: true

Even on the mail server side, everything is fine in the logs.

Based on the Postfix and Amavis logs you provided, it appears that emails from redmine@x.com are actually being accepted and processed by your

mail server.

DKIM Verification: There are records indicating that emails from redmine@x.com pass DKIM (DomainKeys Identified Mail) verification. This is a good

sign, since DKIM is an important part of sender authentication.
Amavis Processing: Amavis, a content filtering system for mail servers, processes messages and marks them as "CLEAN". This means that the

emails do not contain viruses and are not considered spam.

Transfer to Postfix: Emails are successfully transferred back to Postfix for further processing and delivery.

Letter delivery: There are records of letters being queued for delivery and being successfully delivered. For example, lines with queued as

4SzMqV30PRz8JwW7 and status=sent (delivered via dovecot service) indicate that the delivery process is successful.

But the error still appears.

Please share your knowledge. Maybe I'm doing something wrong?
#6 - 2023-12-30 12:30 - Vugar Maharramov

- File clipboard-202312301530-n6jh3.png added

 clipboard-202312301530-n6jh3.png 
